function p = spline_evaluation_bivariate(c,xi1,xi2,x1,x2) 
% SPLINE_EVALUATION_BIVARIATE: evaluation of a bivariate spline function
% p = spline_evaluation_bivariate(c,xi1,xi2,x1,x2) 
% values p(j1,j2) of a spline with coefficients c(k1,k2)
% and knots xi1 and xi2 at (x1(j1),x2(j2)) 

% first parameter direction
c = spline_curve(c,xi1(:),x1(:));
% second parameter direction
p = spline_curve(c',xi2(:),x2(:))';

