function p = spline_curve(c,tau,t) 
% SPLINE_CURVE: evaluation of a spline curve
% p = spline_curve(c,tau,t) 
% points p(j) for parameters t(j) of a spline curve 
% with control points c(k,:) and knots tau

% evaluate with respect to each coordinate
for i=1:size(c,2);
  p(:,i) = spline_evaluation(c(:,i),tau,t);
end
  
