function c = uniform_subdivision(c,n)
% UNIFORM_SUBDIVISION: uniform subdivision 
% c = uniform_subdivision(c,n)
% changes control points c(k,:) 
% via degree n mid-point subdivision

% doubling of control points
c = c(ceil([1:2*size(c,1)]/2),:);

% repeated averages
for k = 1:n
   c = (c(1:end-1,:) + c(2:end,:))/2;
end

